/*
Theme Name: ISPAH
Theme URI: 
Author: Tecology
Author URI: https://tecology.co
Description: Custom theme
Requires at least: 6.7
Tested up to: 6.7
Requires PHP: 5.7
Version: 1.1.6
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: tecology-fse-2024
Text Domain: ispah-fse-theme
Tags: 
*/


/********** ISPAH Theme CSS **********/


/* Adjusts Main Nav for responsive sizing */

@media (max-width:1315px){

 /* Block navigation item */
 .main-nav .wp-block-navigation__responsive-container-content .wp-block-navigation__container>.wp-block-navigation-item{
  padding-left: 0.5rem;
  padding-right: 0.5rem;
 }
 
}

/* 8 Investment Tab Section */
.eight-inv-tab-buttons {
    display: flex;
    align-items: stretch;
    
}

/* Adds smaller row gap to the policy footer nav */
.policy-footer {
    row-gap: 0px;
}

/* Utility class for fade-in effect */
.fade-in-500 {
    animation: fadeIn 500ms ease-in-out;
}

.jet-fb-form-block {
    animation: fadeIn 1000ms ease-in-out;
}

/* Ensure JetPopup has always visible close button */
.jet-popup__close-button {
    z-index: 100!important;
    width: 32px!important;
    height: 32px!important;
    font-size: 16px!important;
    border: 1px!important;
    border-radius: 4px!important;
    color: var(--wp--preset--color--accent)!important;
    background-color: var(--wp--preset--color--accent-2)!important;
    -webkit-transform: translate(var(--jp-close-button-translate-x, 0), var(--jp-close-button-translate-y, 0));
    -ms-transform: translate(var(--jp-close-button-translate-x, 0), var(--jp-close-button-translate-y, 0));
    transform: translate(var(--jp-close-button-translate-x, 0), var(--jp-close-button-translate-y, 0));
}

.jet-popup__close-button svg{
    width: 16px!important;
}

/********** Membersites Fixes **********/
.armf_label_placeholder .arm-df__form-field {
    float: none!important;
}
.user-dashboard-menu-trigger {
    max-height: 30px;
}
.main-site-logo {
    max-height: 50px;
}
.arm-df__checkbox{
 flex-direction:row;
 flex-wrap:nowrap;
}


/* Hide JetFormBuilder form labels but keep accessible for screen readers */
.no-form-labels .jet-form-builder__label-text {
	position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

/* Footer Menu styling */
.footer-menu .wp-block-navigation-item .wp-block-navigation-item__content:hover {
    color: #ffffff;
}
.wp-block-create-block-section-divider-block {
    z-index: 1;
}

@media (max-width:1024px){
    .jpah-cta-cover {
        padding: var(--wp--preset--spacing--20)!important;
        z-index: 1;
    }
    .events-section {
        margin-top: -150px!important;
    }
    
    /* For Single Post Template */
    .single-post-section {
        margin-top: -100px!important;
    }
 
    /* Block cover */
    .wp-site-blocks .main-hero .wp-block-cover{
        max-height: 700px!important;
    }
 
    /* Block group */
    .main-hero .wp-block-cover .wp-block-cover__inner-container > .wp-block-group{
        padding-bottom:0px !important;
        position:absolute;
        bottom:100px;
    }
 
    .hero-content-container{
        padding: var(--wp--preset--spacing--20)!important;
        gap: var(--wp--preset--spacing--10)!important;
        max-width: 450px;
    }
	
	/* Adds scroll to cover image for mobile devices */

    .hero-title {
        font-size: var(--wp--preset--font-size--x-large)!important;
    }
  
}

@media (max-width:600px){

 /* Main home page hero height for mobile */
    .main-hero .wp-block-cover{
        min-height:500px!important;
    }
 
    .internal-hero {
        min-height:350px!important;
    }
 
    .newsletter-cta {
        padding: var(--wp--preset--spacing--20)!important;
    }
}

/********** Footer translaate switcher styling **********/

.wp-block-tecology-language-switcher .language-switcher-wrapper .select-container .language-select {
    border: 1px solid #ffffff2b;
}



/********** Fix close button styling **********/

@media only screen and (max-width: 1198px) {
    .wp-block-navigation__responsive-container-close {
        border-radius: 4px!important;

    }
}
